@import url("https://fonts.googleapis.com/css?family=Roboto:400,700");
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
@import url('https://db.onlinewebfonts.com/c/67821e7ef9a2952d6e7757a6cae5a826?family=Novecento+WideBold');
@import url("https://fonts.googleapis.com/css2?family=Titan+One&display=swap");
@import url(https://db.onlinewebfonts.com/c/be7d12601306f9f1b7aac9eca131fc8f?family=AkzidenzGrotesk);

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", cursive;
    font-size: xx-small;                                                                                                    
}
body {
    min-height: 100vh;
    background-color: rgb(0, 0, 0);
    background-size: cover;
}
/*Header y navbar, iconos y responsive, menu ------------------------- */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 7.7rem;
    padding: 1.5rem 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header * {
    transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .1); 
    backdrop-filter: blur(15px); 
    z-index: -1;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.header:hover::after {
    left: 100%;
}
.logo {
    font-size: 2rem;
    color: rgb(255, 255, 255); 
    text-decoration: none;
    font-weight: 700;
}
.logo:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a {
    font-family: 'Novecento WideBold';
    font-size: 1.5rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}
.navbar a:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a.active {
    color: rgb(88, 183, 255);
    transform: scale(1.1);
}
.header .navbar a i {
    padding: 0 0.3rem;
    font-size: 1.7rem;
}
#check {
    display: none;
}
.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}
.icons #menu-icon,
.icons #close-icon {
    font-size: 3.2rem;
}
.icons #menu-icon:hover {
    color: #2AEC88;
}
.icons #close-icon:hover {
    color: #2AEC88;
}
/*BREAKPOINTS*/
@media (max-width: 992px){
.header {
    padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
    display: inline-flex;
}
#check:checked~.icons #menu-icon {
    display: none;
}
.icons #close-icon {    
    display: none;
}
#check:checked~.icons #close-icon {
    display: block;
}
.navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(15px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
    transition: .3s ease;
}
#check:checked~.navbar {
    height: 22.7rem;
}
.navbar a {
    display: block;
    font-size: 1.25rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
}
#check:checked ~ .navbar a {
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.15s * var(--i));
}
.navbar a i {
    display: block;
    font-size: 2rem;
}
}    
.wrapper {
    width: 100vw;
    text-align: center;
span {
    -webkit-text-stroke-width: 1.25px;
    -webkit-text-stroke-color: #000;
    font-size: 45px;
    text-shadow: 0 0px #f3c623, 0 0px #f2aaaa;
    transform: translate(0, 100%) rotate(4deg);
    animation: jump 2s ease-in-out infinite;
    display: inline-block;
    font-family: "Titan One", cursive;
    color: #fff;
    margin-top: 10rem;

    @for $i from 1 through 7 {
      &:nth-child(#{$i}) {
        animation-delay: 120ms * $i;
      }
    }
  }
}
@keyframes jump {
  33% {
    text-shadow: 0 60px #f37121, 0 150px #f2aaaa;
  }
  50% {
    transform: translate(0, 0) rotate(-4deg);
    text-shadow: 0 0px #8fc0a9, 0 0px #84a9ac;
  }
  66.67% {
    text-shadow: 0 -60px #d54062, 0 -150px #8fc0a9;
  }
}
@media screen and (max-height: 200px) {
  .wrapper {
    transform: scale(0.2,0.3);
  }
}
@media screen and (max-width: 576px) {
  .wrapper {
    span {
      font-size: 50px;
    }
  }
}





/*CARDS*/
:root{
    --background-dark: #2d3548;
    --text-light: rgba(255,255,255,0.6);
    --text-lighter: rgba(255,255,255,0.9);
    --spacing-s: 8px;
    --spacing-m: 16px;
    --spacing-l: 24px;
    --spacing-xl: 32px;
    --spacing-xxl: 64px;
    --width-container: 1200px;
}
.hero-section{
    align-items: flex-start;
    display: flex;
    min-height: 100%;
    justify-content: center;
    padding: var(--spacing-xxl) var(--spacing-l);
}
.card-grid{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-column-gap: var(--spacing-l);
    grid-row-gap: var(--spacing-l);
    max-width: var(--width-container);
    width: 100%;
}
@media(min-width: 540px){
    .card-grid{
    grid-template-columns: repeat(2, 1fr); 
    }
}
@media(min-width: 960px){
    .card-grid{
    grid-template-columns: repeat(4, 1fr); 
    }
}
.card{
    list-style: none;
    position: relative;
    margin-top: 5rem; 
}
.card:before{
    content: '';
    display: block;
    padding-bottom: 150%;
    width: 100%;
}
.card__background{
    background-size: cover;
    background-position: center;
    border-radius: var(--spacing-l);
    bottom: 0;
    filter: brightness(0.75) saturate(1.2) contrast(0.85);
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform-origin: center;
    transform: scale(1) translateZ(0);
    transition: filter 200ms linear, transform 200ms linear;
}
.card:hover .card__background{
    transform: scale(1.05) translateZ(0);
}
.card-grid:hover > .card:not(:hover) .card__background{
    filter: brightness(0.7) saturate(0) contrast(1.1) blur(13px);
}
.card__content{
    left: 0;
    padding: var(--spacing-l);
    position: absolute;
    top: 0;
}
.card__category{
    color: var(--text-light);
    font-size: 0.9rem;
    margin-bottom: var(--spacing-s);
    text-transform: uppercase;
}
.card__heading{
    color: var(--text-lighter);
    font-size: 2.5rem;
    text-shadow: 2px 2px 20px rgba(0,0,0,0.2);
    line-height: 1.2;
    word-spacing: 60vh;
    font-family: 'AkzidenzGrotesk';
}



.spotify {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center; 
}


